package com.icomsys.main_vm.biz.test.controller;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/data")
@RestController
@RequiredArgsConstructor
@Slf4j
public class CreateDataController {

    private final CreateDataService createDataService;

    @GetMapping("/test9")
    public String test9() {
//        createDataService.keyCreate();
        createDataService.createCust();
        createDataService.createServiceGroup();
        createDataService.createuserData();
        createDataService.createUserCust();
        createDataService.createCustPolicy();
        createDataService.createServiceAuthGroup();
        createDataService.createUserAuthGroup();
        createDataService.createServuceGroupPolicy();
        createDataService.createOpr();
//        createDataService.createCommon();
        createDataService.scenarioMaster();
        createDataService.scenarioHistory();
        createDataService.longtextManager();
        createDataService.uplususercreate();
        createDataService.commonCodeinsert();
        createDataService.tbProjectSettingdata();


        return "test9";
    }

    @GetMapping("/test10")
    public String test10() {
        createDataService.pagringdatacreate();
        return "test10";
    }

    @GetMapping("/test11")
    public String test11() {
        createDataService.userDataTest();
        return "test11";
    }


}
